Apple not used App ID is not available


#1

I tried to build an ios app with expo-cli.

At first try it was successful, but when tried to upload to itunes connect, it said:

No suitable application records were found. Verify your bundle identifier <app.bundle.id> is correct.

Then I tried to create a new application on itunes connect for this build. It failed with:

You have no eligible Bundle IDs for iOS apps.

So i thought maybe it was something cache problem (because when i was building the app, it didn’t ask to handle my credentials). I re-run the build, but this time with --clear-app-credentials. With that, the expo did recommend that it will handle by credentials, but when i typed in my apple id / password, it return wtih:

An App ID with Identifier <app.bundle.id> is not available. Please enter a different string.

Someone has any idea what can cause such problem?


#2

Hey @fitsolutionskft,

If I’m understanding this correctly, it looks like you may need to create a more unique bundleIdentifier than bundle.id that follows Apple’s namespace guidelines. https://developer.apple.com/library/archive/documentation/General/Reference/InfoPlistKeyReference/Articles/CoreFoundationKeys.html#//apple_ref/doc/uid/20001431-102364 Perhaps something like com.fitsolutionskft.app

On second thought, I just read another post mentioning this same issue so I’m thinking it may be on our end rather. I’ll keep you updated.

Cheers,

Adam


#3

As i said in the end of my post: I replaced the actual bundle id with bundle.id , the bundle.id is just a replacement of the actual bundle id because of security stuff.

The actual bundle id has the correct format [country code].[domain].[app name].

I hope that helps.


#4


https://forums.developer.apple.com/thread/43677


#5

I changed the 'bundle.id' to <app.bundle.id> to avoid these misunderstanding.


closed #6

This topic was automatically closed 15 days after the last reply. New replies are no longer allowed.